package cn.com.tenlion.buildingpictures.pojo.dtos.picturestemplate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @ClassName: PicturesTemplateDTO
 * @Description: 图片套版的页面管理
 * @Author: WenG
 * @Date: 2020-10-20 10:49
 * @Version: 1.0
 **/
@ApiModel
public class PicturesTemplateFileDTO {

    @ApiModelProperty(name = "picturesTemplateFile", value = "文件ID")
    private String picturesTemplateFile;
    @ApiModelProperty(name = "picturesTemplateFilePath", value = "文件路径")
    private String picturesTemplateFilePath;
    @ApiModelProperty(name = "picturesTemplateFileType", value = "文件类型")
    private String picturesTemplateFileType;

    public String getPicturesTemplateFile() {
        return picturesTemplateFile == null ? "" : picturesTemplateFile;
    }

    public void setPicturesTemplateFile(String picturesTemplateFile) {
        this.picturesTemplateFile = picturesTemplateFile;
    }

    public String getPicturesTemplateFilePath() {
        return picturesTemplateFilePath == null ? "" : picturesTemplateFilePath;
    }

    public void setPicturesTemplateFilePath(String picturesTemplateFilePath) {
        this.picturesTemplateFilePath = picturesTemplateFilePath;
    }

    public String getPicturesTemplateFileType() {
        return picturesTemplateFileType == null ? "" : picturesTemplateFileType;
    }

    public void setPicturesTemplateFileType(String picturesTemplateFileType) {
        this.picturesTemplateFileType = picturesTemplateFileType;
    }
}
